#!/bin/bash
. CONSTANTS.bash
if [ $# -lt 1 ]; then 
 echo "USAGE: $0 <wrf output file> [<datestamp>]"
 exit 5
fi 


tmp=$$
\rm -rf $tmp.tmp.*  *.out
#first obtain rainfall 
 ./read_wrf_nc -w RAINC $1 >& /dev/null
 ./read_wrf_nc -w RAINNC $1 >& /dev/null
 ./read_wrf_nc -w XLONG $1 >& /dev/null
 ./read_wrf_nc -w XLAT $1 >& /dev/null
CT=1
while [ $CT -le $wrfntimes ]; do 
  echo "Processing frame: $CT"
  ./gettime.bash RAINC.out $CT > $tmp.tmp.RAINC
  ./gettime.bash RAINNC.out $CT > $tmp.tmp.RAINNC
  ./gettime.bash XLAT.out $CT > $tmp.tmp.XLAT
  ./gettime.bash XLONG.out $CT > $tmp.tmp.XLONG
  paste   $tmp.tmp.XLAT  $tmp.tmp.XLONG $tmp.tmp.RAINC  $tmp.tmp.RAINNC  > $tmp.tmp.all
  cat $tmp.tmp.all |awk '{if (NR==1){
				       if($2!=$4||$4!=$6||$6!=$8){fault=1}
				       print "#" $1, $2
                                     }else
				     {
					   if(fault!=1){print $1, $2, $3+$4}else{print "problem problem problem problem"}
				     }
		          }' > $tmp.tmp.all.$CT
  outputrain=RAIN.`$FILLZEROS $CT 3` 
  if [ "$CT" -gt "1" ]; then 
     paste $tmp.tmp.all.$CT $tmp.tmp.all.$(( $CT - 1 )) |awk '{if(NR==1){print $1, $2, $3}else{print $1, $2, $3-$6}}' >> $outputrain 
  else
    
     cp $tmp.tmp.all.$CT   $outputrain 
  fi
  ./plot.bash  $outputrain "$2"
  CT=$(( $CT + 1 ))
done 
\rm -rf $tmp.tmp.*  *.out
